<template>
  <div class="app">
    <apexcharts width="550" type="bar" :options="chartOptions" :series="series"></apexcharts>
  </div>
</template>

<script>
import VueApexCharts from 'vue-apexcharts'

export default {
  name: 'Chart',
  components: {
    apexcharts: VueApexCharts,
  },
  data: function() {
      return {
        series: [{
            name: 'Marine Sprite',
            data: [44, 55]
          }, {
            name: 'Striking Calf',
            data: [53, 32]
          }],
          chartOptions: {
            chart: {
              type: 'bar',
              height: 70,
              stacked: true,
            },
            plotOptions: {
              bar: {
                horizontal: true,
              },
            },
            stroke: {
              width: 1,
              colors: ['#fff']
            },
            title: {
              text: 'Progress Overview'
            },
            xaxis: {
              categories: ['Logic', 'HMI'],
              labels: {
                formatter: function (val) {
                  return val + "%"
                }
              }
            },
            yaxis: {
              title: {
                text: undefined
              },
            },
            tooltip: {
              y: {
                formatter: function (val) {
                  return val + "%"
                }
              }
            },
            fill: {
              opacity: 1
            },
            legend: {
              position: 'top',
              horizontalAlign: 'left',
              offsetX: 40
            }
          },
      }
    },
    methods: {}
}
</script>
<style scoped>
  button {
    background: #26E6A4;
    border: 0;
    font-size: 16px;
    color: '#fff';
    padding: 10px;
    margin-left: 28px;
  }
</style>

